{
	"name": "form/nc/report/nc-report/delivery-reliability/column/delivery-reliability.json",
	"option": {
		"cell_class_rules": {
			"nc-grid-cell-changed": "data.link_rec && recDataDifferent(data.link_rec, colDef, x)"
		},
		"grid_option": {
			"row_class_rules": {
				"nc-grid-row-equal": "!data.calc?.in_date_range",
				"nc-grid-row-deleted": "data.calc?.target_date_name === ''"
			}
		}
	},
	"column": [
		{
			"icon": "nc-link-icon",
			"link_field": "ord.order_id",
			"record_type": "rec.table",
			"variable": "idx",
			"width": 65
		},
		{
			"field": "ordr.order_id",
			"width": 100,
			"name": "Order id"
		},
		{
			"field": "ordr.row_number",
			"width": 50,
			"name": "Row"
		},
		{
			"field": "pr.product_id",
			"width": 200,
			"name": "Product id"
		},
		{
			"field": "pr.product_group",
			"width": 110,
			"name": "Product group"
		},
		{
			"field": "ordr.delivery_state",
			"width": 110,
			"name": "Delivery state"
		},
		{
			"field": "ord.company_id",
			"width": 150,
			"name": "Company id"
		},
		{
			"width": 250,
			"field": "co.name",
			"name": "Company name"
		},
		{
			"variable": "calc.in_date_range",
			"width": 90,
			"name": "In range"
		},
		{
			"variable": "calc.target_date_name",
			"width": 190,
			"name": "Used field"
		},
		{
			"variable": "calc.target_date",
			"width": 100,
			"type": "date",
			"name": "Used date"
		},
		{
			"variable": "calc.compare_date_name",
			"width": 190,
			"name": "Compare field"
		},
		{
			"variable": "calc.compare_date",
			"width": 110,
			"type": "date",
			"name": "Compare date"
		},
		{
			"variable": "calc.day_difference",
			"width": 120,
			"name": "Day difference"
		},
		{
			"field": "ordr.actual_delivery_date",
			"width": 150,
			"type": "date",
			"name": "Actual delivery date"
		},
		{
			"field": "ordr.delivery_date",
			"width": 160,
			"type": "date",
			"name": "Plan./Req. deliv. date"
		},
		{
			"field": "ordr.json_data.first_confirmed_delivery_date",
			"width": 170,
			"type": "date",
			"name": "First conf. delivery date"
		},
		{
			"field": "ordr.confirmed_delivery_date",
			"width": 170,
			"type": "date",
			"name": "Confirmed delivery date"
		},
		{
			"field": "pro.json_data.actual_end_date",
			"width": 150,
			"type": "date",
			"name": "Manufacturing date"
		},
		{
			"field": "ordr.info",
			"width": 500,
			"name": "Info"
		}
	]
}
